"use strict";
/////////////Librerías de babylon usadas en este proyecto////////////
/// <reference path="./Babylon js/babylon.js" />
/// <reference path="./Babylon js/babylon.d.ts" />
/// <reference path="./Babylon js/babylon.gui.d.ts" />
/// <reference path="./Babylon js/babylon.inspector.bundle.js" />
/// <reference path="./Babylon js/babylonjs.loaders.min.js" />
/// <reference path="./Babylon js/cannon.js" />
/// <reference path="./Babylon js/ammo.js" />
////////////////////////////////////////////////////////////////////
Object.defineProperty(exports, "__esModule", { value: true });
exports.SceneOne = void 0;
var MultipleSphere_1 = require("./MultipleSphere");
var SceneOne = /** @class */ (function () {
    function SceneOne(engine, canvas) {
        var scene = this.CreateScene(engine);
        this.CreateCamera(canvas, scene);
        this.CreateLighting(scene);
        var multiSphere = new MultipleSphere_1.MultipleSphere(scene); //create multiple sphere
    }
    SceneOne.prototype.CreateScene = function (engine) {
        var scene = new BABYLON.Scene(engine);
        return scene;
    };
    SceneOne.prototype.CreateCamera = function (canvas, scene) {
        var camera = new BABYLON.ArcRotateCamera("Camera", Math.PI / 2, Math.PI / 2, 2, new BABYLON.Vector3(0, 0, 5), scene);
        camera.attachControl(canvas, true);
    };
    SceneOne.prototype.CreateLighting = function (scene) {
        var light = new BABYLON.DirectionalLight("light3", new BABYLON.Vector3(0, 1, 0), scene);
        return light;
    };
    return SceneOne;
}());
exports.SceneOne = SceneOne;
